Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class DescribeDBSnapshotsRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.rds.model.DescribeDBSnapshotsRequest

    public class DescribeDBSnapshotsRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeDBSnapshots operation`.

This API is used to retrieve information about DBSnapshots. This API supports pagination.

See Also:
  `AmazonRDS.describeDBSnapshots(DescribeDBSnapshotsRequest)`

Constructor Summary
`DescribeDBSnapshotsRequest()`

Method Summary
`String` | `getDBInstanceIdentifier()` The unique identifier for the Amazon RDS DB snapshot.
`String` | `getDBSnapshotIdentifier()` The DB Instance identifier.
`String` | `getMarker()` An optional marker provided in the previous DescribeDBInstances request.
`Integer` | `getMaxRecords()` The maximum number of records to include in the response.
`void` | `setDBInstanceIdentifier(String dBInstanceIdentifier)` The unique identifier for the Amazon RDS DB snapshot.
`void` | `setDBSnapshotIdentifier(String dBSnapshotIdentifier)` The DB Instance identifier.
`void` | `setMarker(String marker)` An optional marker provided in the previous DescribeDBInstances request.
`void` | `setMaxRecords(Integer maxRecords)` The maximum number of records to include in the response.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeDBSnapshotsRequest` | `withDBInstanceIdentifier(String dBInstanceIdentifier)` The unique identifier for the Amazon RDS DB snapshot.
`DescribeDBSnapshotsRequest` | `withDBSnapshotIdentifier(String dBSnapshotIdentifier)` The DB Instance identifier.
`DescribeDBSnapshotsRequest` | `withMarker(String marker)` An optional marker provided in the previous DescribeDBInstances request.
`DescribeDBSnapshotsRequest` | `withMaxRecords(Integer maxRecords)` The maximum number of records to include in the response.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeDBSnapshotsRequest

    public DescribeDBSnapshotsRequest()

Method Detail

### getDBInstanceIdentifier

    public String getDBInstanceIdentifier()

  The unique identifier for the Amazon RDS DB snapshot. This value is stored as a lowercase string.

  Returns:
    The unique identifier for the Amazon RDS DB snapshot. This value is stored as a lowercase string.

### setDBInstanceIdentifier

    public void setDBInstanceIdentifier(String dBInstanceIdentifier)

  The unique identifier for the Amazon RDS DB snapshot. This value is stored as a lowercase string.

  Parameters:
    `dBInstanceIdentifier` - The unique identifier for the Amazon RDS DB snapshot. This value is stored as a lowercase string.

### withDBInstanceIdentifier

    public DescribeDBSnapshotsRequest withDBInstanceIdentifier(String dBInstanceIdentifier)

  The unique identifier for the Amazon RDS DB snapshot. This value is stored as a lowercase string.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBInstanceIdentifier` - The unique identifier for the Amazon RDS DB snapshot. This value is stored as a lowercase string.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDBSnapshotIdentifier

    public String getDBSnapshotIdentifier()

  The DB Instance identifier. This parameter isn't case sensitive.

  Returns:
    The DB Instance identifier. This parameter isn't case sensitive.

### setDBSnapshotIdentifier

    public void setDBSnapshotIdentifier(String dBSnapshotIdentifier)

  The DB Instance identifier. This parameter isn't case sensitive.

  Parameters:
    `dBSnapshotIdentifier` - The DB Instance identifier. This parameter isn't case sensitive.

### withDBSnapshotIdentifier

    public DescribeDBSnapshotsRequest withDBSnapshotIdentifier(String dBSnapshotIdentifier)

  The DB Instance identifier. This parameter isn't case sensitive.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBSnapshotIdentifier` - The DB Instance identifier. This parameter isn't case sensitive.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMaxRecords

    public Integer getMaxRecords()

  The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

  Returns:
    The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

### setMaxRecords

    public void setMaxRecords(Integer maxRecords)

  The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

  Parameters:
    `maxRecords` - The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

### withMaxRecords

    public DescribeDBSnapshotsRequest withMaxRecords(Integer maxRecords)

  The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `maxRecords` - The maximum number of records to include in the response. If more records exist than the specified MaxRecords value, a marker is included in the response so that the remaining results may be retrieved.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMarker

    public String getMarker()

  An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

  Returns:
    An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

### setMarker

    public void setMarker(String marker)

  An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

  Parameters:
    `marker` - An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

### withMarker

    public DescribeDBSnapshotsRequest withMarker(String marker)

  An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `marker` - An optional marker provided in the previous DescribeDBInstances request. If this parameter is specified, the response includes only records beyond the marker, up to the value specified by MaxRecords.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.